Package ru.bitel.bgbilling.modules.hd.server.bean

# Class CPNsManager

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.common.dao.AbstarctDaoConstant
ru.bitel.bgbilling.modules.hd.server.bean.CPNsManager

public class CPNsManager extends ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `con, ERROR, fields, moduleId, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE, tableName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CPNsManager(Connection con, int moduleId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `deletePackageNs(int cpid)`
  `List<CPNs>`
  `getPackageNsList(int contractPackageId)`
  `void`
  `updatePackageNs(int cpid, List<CPNs> packageNsList)`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `getPeriod, getSQLOrder, getTableName, psSetDate, psSetInt, psSetString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CPNsManager

    public CPNsManager(Connection con, int moduleId)

- ## Method Details

  - ### deletePackageNs

    public void deletePackageNs(int cpid) throws SQLException
    Throws:
      `SQLException`

  - ### updatePackageNs

    public void updatePackageNs(int cpid, List<CPNs> packageNsList) throws SQLException
    Throws:
      `SQLException`

  - ### getPackageNsList

    public List<CPNs> getPackageNsList(int contractPackageId) throws SQLException
    Throws:
      `SQLException`